Projects
List Project Users
List all users with access to a project.
Returns all users who can access this project, including:
- Workspace owners (always have full access)
- Workspace members (inherit project’s default_role or have explicit permission)
- Member_limited users with explicit project permission (including stub users)
Requires VIEW permission on the project.
GET
List Project Users
Authorizations
JWT in Authorization header. 'Bearer ' prefix optional.
Path Parameters
Response
Successful Response
User ID
User's first name
User's last name
User's email address
User's effective role on this project
Available options:
owner, member, member_limited, full_access, editor, commenter, downloader, viewer, no_access Permission bitmap derived from role
User's workspace role (for determining editability)
Available options:
owner, member, member_limited, full_access, editor, commenter, downloader, viewer, no_access True if user has explicit permission on this project
User's avatar URL
External user ID from auth provider (None for stub users)
List Project Users

